## org.hornetq.rest.queue
Class PostMessageNoDups

    java.lang.Object
      org.hornetq.rest.queue.PostMessage
          org.hornetq.rest.queue.PostMessageNoDups

    public class PostMessageNoDups

extends PostMessage

implements reliable "create", "create-next" pattern defined by REST-* Messaging specificaiton

Version:
  $Revision: 1 $
Author:
  Bill Burke

Nested Class Summary

Nested classes/interfaces inherited from class org.hornetq.rest.queue.PostMessage
`PostMessage.Pooled`

Field Summary

Fields inherited from class org.hornetq.rest.queue.PostMessage
`defaultDurable, destination, pool, poolSize, serviceManager, sessionFactory`

Constructor Summary
`PostMessageNoDups()`

Method Summary
`javax.ws.rs.core.Response` `redirectCreation(javax.ws.rs.core.UriInfo uriInfo)`

Methods inherited from class org.hornetq.rest.queue.PostMessage
`addPooled, cleanup, createHornetQMessage, generateDupId, getDestination, getPooled, getPoolSize, getServiceManager, getSessionFactory, init, isDefaultDurable, postWithId, publish, putWithId, setDefaultDurable, setDestination, setPoolSize, setServiceManager, setSessionFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostMessageNoDups

    public PostMessageNoDups()

Method Detail

### redirectCreation

    public javax.ws.rs.core.Response redirectCreation(@Context
                                                      javax.ws.rs.core.UriInfo uriInfo)

Copyright © 2013. All Rights Reserved.